=== debian/changelog ===
natpmp (0.1.0) unstable; urgency=low

  * Initial release

 -- Adrian Friedli <adi@koalatux.ch>  Sun, 22 Jul 2007 02:39:26 +0200
