=== debian/watch ===
version=3
http://download.savannah.nongnu.org/releases/natpmp/natpmp-(.*)\.tar\.gz
